/* 
 * VoiceControl Plugin version 0.1
 * For Amarok 2 Music Player
 * Authors: Alberto Testolin
 *          Alberto Zuccato
 * Last modified:   29-11-2010
 * License: GPL v2
 *
 * Notification, configuration and installation routines.
 */



obj = new QWidget(this)
obj.windowTitle = "VoiceControl 0.1";
vLayout = new QVBoxLayout(obj);
label = new QLabel();
label.wordWrap=true;
label.setMaximumSize(330, 330);
label.text = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\"><html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">p, li { white-space: pre-wrap; }</style></head><body style=\" font-family:'Puritan'; font-size:9pt; font-weight:400; font-style:normal;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:11pt; font-weight:600;\">Welcome to VoiceControl 0.1</span></p><p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-weight:600;\"></p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Control Amarok using vocal commands!</span></p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Please note this is beta software.</span></p><p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"></p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Note also that you need CMU Sphinx (version 4), Java and JSAPI (version 1.0) properly installed on your system.</p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"></p></body></html>";
vLayout.addWidget(label,0,1)

label2 = new QLabel();
label2.wordWrap=true;
label2.setMaximumSize(330, 330);
label2.text = "Insert Sphinx4 path here: ";
vLayout.addWidget(label2,0,1)

input_path = new QLineEdit(obj);
vLayout.addWidget(input_path,0,1);

checkBox = new QCheckBox();
checkBox.objectName = "checkShow";
checkBox.text = "Don't show this message again";
vLayout.addWidget(checkBox, 0, 1);
buttonBox = new QDialogButtonBox(obj);
buttonBox.orientation = Qt.Horizontal;
buttonBox.addButton(ok = QDialogButtonBox.Ok);
buttonBox.centerButtons = false;
//vLayout.insertWidget(2,buttonBox,Qt.vertical);
vLayout.addWidget(buttonBox,0,1);

// if the Sphinx path has already been set, just load it
if(Amarok.Script.readConfig( "show_loaded_path_voiceControl", "true" ) == "true"){
  
	// read Sphinx4 path from configuration file
	path = Amarok.Info.scriptPath();
	filename = path + "/config.txt";
  var myFile = new QFile(filename);
  myFile.open(new QIODevice.OpenMode(QIODevice.ReadOnly));
  var ts = new QTextStream(myFile);
  line = ts.readLine();
	input_path.setText(line);
}

obj.show();

// start the installer, which copies the jar file into the Sphinx directory
buttonBox.accepted.connect(function(){
  
  sphinxpath = input_path.text;
  installer = new QProcess(this);
  path = Amarok.Info.scriptPath();
  Amarok.Script.writeConfig("show_loaded_path_voiceControl","true");
  installation_dir = new QDir(sphinxpath);
  if (installation_dir.exists()){
    installer.start("sh " + path + "/install.sh " + sphinxpath);
    obj.close();
    // allow the listener to start
    ready = true;
  }
  else
    Amarok.alert("Bad path. Try again.");
})

